%define realname opensfx

Name:           openttd-%{realname}
Version:        0.2.3
Release:        %mkrel 11
Summary:        OpenSFX sound replacement set for OpenTTD

Group:          Games/Strategy
License:        Creative Commons Sampling Plus 1.0 License
URL:            http://dev.openttdcoop.org/projects/opensfx
Source0:        http://bundles.openttdcoop.org/%{realname}/releases/%{realname}-%{version}-source.tar.gz
BuildArch:      noarch
BuildRequires:  catcodec

%description
OpenSFX is an open source replacement for the original Transport Tycoon
Deluxe base sounds used by OpenTTD.

%prep
%setup -q -n %{realname}-%{version}-source

%build
%make

%install
mkdir -p %{buildroot}%{_gamesdatadir}/openttd/data
%make install INSTALL_DIR=%{buildroot}%{_gamesdatadir}/openttd/data

%check
%make check

%files
%doc docs/*.txt
%{_gamesdatadir}/openttd/data/%{realname}-%{version}.tar


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.2.3-11.mga8
+ Revision: 1492680
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2.3-10.mga7
+ Revision: 1265400
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.2.3-9.mga6
+ Revision: 942565
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.3-8.mga5
+ Revision: 749997
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.3-7.mga5
+ Revision: 683255
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.3-6.mga4
+ Revision: 508778
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.3-5.mga3
+ Revision: 362177
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 dams <dams> 0.2.3-4.mga3
+ Revision: 257720
- clean/update specfile

* Sun Jan 09 2011 wally <wally> 0.2.3-3.mga1
+ Revision: 1691
- remove old conflicts
- imported package openttd-opensfx


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-2mdv2011.0
+ Revision: 613542
- rebuild

* Tue Apr 13 2010 Jani Välimaa <wally@mandriva.org> 0.2.3-1mdv2010.1
+ Revision: 534624
- import openttd-opensfx


